package com.nokia.acl_tousu_task;

import com.nokia.task.CheckTask;
import com.nokia.task.SyncTask;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

@ActiveProfiles("test")
@Slf4j
@SpringBootTest
class AclTousuTaskApplicationTests {
    @Autowired
    private SyncTask syncTask;
    @Autowired
    private CheckTask checkTask;

    @Test
    void testSync() {
        syncTask.syncTopUser();
    }

    @Test
    void testCheck() {
        checkTask.check();
    }
}
